+ Post New Thread
Page 3 of 586 FirstFirst 1 2 3 4 5 13 53 103 503 ... LastLast
Threads 51 to 75 of 14633

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 50,972
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 55,903
    18th Sep 2006 10:46 pm Go to last post
  1. Opening and Inserting Multiple X-refs into Multiple Layout Spaces

    Okay, first time poster, longtime lurker, super basic lisp skills. Currently working on inserting a whole bunch of xrefs, at a defined point (being the centre of my layout space). The xref...

    Started by karrotbear‎, 19th Sep 2016 02:56 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 426
    20th Sep 2016 04:39 am Go to last post
  2. Request for Lisp to draw Duct Elbow

    I would be thankful if someone would like to share their lisp for creating duct elbows (both round & rectangular). For those that are not in the HVAC field...I would like to request a lisp that...

    Started by LSA‎, 25th Apr 2006 06:12 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 16,573
    19th Sep 2016 11:49 pm Go to last post
  3. Question Need Lip For Converting Points to 3D Lines (Parallel to Z-Axis)

    Dear seniors, i have some points in my drawing. these selected points only should be developed as lines parallel to Z axis (i.e 3D) with specified length (example:3000mm). please find sample...

    Started by pvsvprasad‎, 19th Sep 2016 08:10 am
    • Replies: 4
    • Views: 310
    19th Sep 2016 11:04 am Go to last post
  4. Change text style within blocks

    Good Morning All I have been try to write a lisp routine to convert old text styles to the new text style within inserted blocks. This a part of a larger routine to clean up old drawings. I am...

    Started by Corro‎, 19th Sep 2016 01:03 am
    • Replies: 1
    • Views: 188
    19th Sep 2016 04:29 am Go to last post
  5. Autolisp to draw elbow 45

    Hello everybody, I have made an Autolisp file to draw elbow in 90 degree but this one in 45 degrees make me crazy with some funtions that could not reach its directed location. I hope that...

    Started by Tharwat‎, 2nd Jun 2010 06:25 pm
    6 Pages
    1 2 3 ... 6
    • Replies: 59
    • Views: 13,359
    18th Sep 2016 05:40 pm Go to last post
  6. Cool All by myself... kinda. ATTRIB Defined Width

    (defun c:awz ( / sUndo enx atent atent_list) (setq sUndo (vlax-invoke (vla-get-ActiveDocument (vlax-get-acad-object)) 'StartUndoMark)) (setvar 'errno 0) (while (/= 52 (getvar 'errno))...

    Started by RubberDinero‎, 16th Sep 2016 10:22 pm
    attribute, multiline, width
    • Replies: 9
    • Views: 402
    17th Sep 2016 09:05 pm Go to last post
  7. Question regarding getfiled

    Hi all, I have small (but annoying) problem with getfiled. I use lisp to draw polyline from txt file in my default project folder which is located in "X:\log\" I used (getfiled "select file"...

    Started by elimgo‎, 14th Sep 2016 07:37 pm
    • Replies: 6
    • Views: 307
    17th Sep 2016 07:09 pm Go to last post
  8. error: ActiveX Server returned an error: Index non valide

    Hi, What should I be looking for to find the problem in my code when it pops up this error message. ; error: ActiveX Server returned an error: Index non valide I've read somethings on...

    Started by CadFrank‎, 15th Sep 2016 12:44 pm
    • Replies: 2
    • Views: 213
    15th Sep 2016 11:44 pm Go to last post
  9. Unhappy Convert list of only one element into a string

    Hello guys, Is there a way to convert something like ("Sean") into just "Sean"? It is probably a trivial question. Thanks in advance, Sean

    Started by sean112‎, 15th Sep 2016 01:57 am
    • Replies: 4
    • Views: 303
    15th Sep 2016 11:41 pm Go to last post
  10. Measure command with attributed block

    So I am trying to work on a LISP routine that will allow the user to insert attributed blocks like how the measure command. Ideally the routine would work by first prompting the user to select a...

    Started by broncos15‎, 14th Sep 2016 08:48 pm
    • Replies: 7
    • Views: 411
    15th Sep 2016 11:07 pm Go to last post
  11. Question Learning Lisp "Polyline Width"

    I'm still learning Lisps and am in the need of a function. I'm not going to say what i need it for, i want to try and write the lisp from the input of this forum. I need to know how to store the...

    Started by RubberDinero‎, 12th Sep 2016 09:36 pm
    3 Pages
    1 2 3
    lisp, polyline
    • Replies: 29
    • Views: 988
    15th Sep 2016 09:30 pm Go to last post
  12. Close Drawing1.dwg

    Hello, I'm using AutoCAD 2011. I'm trying to close Drawing1.dwg when I open and existing drawing. I've come up with this code but it's sending me an error : (setq acadobject...

    Started by CadFrank‎, 15th Sep 2016 03:11 pm
    • Replies: 6
    • Views: 310
    15th Sep 2016 07:44 pm Go to last post
  13. Unhappy Lisp Program to enter date & Creator name in AutoCAD drawing

    Hello Everyone, I am having some 1000 of drawings and i need to chane the date and person who has created the drawing. All the drawing are of the same size. Request if anyone is having...

    Started by setu84‎, 15th Sep 2016 04:58 pm
    • Replies: 1
    • Views: 240
    15th Sep 2016 05:08 pm Go to last post
  14. import all layouts from specific template

    Hi All, Been looking for something to allow me to import all layouts from a specific template via a lisp command. I managed to find the code below which works great, but it only imports 1 layout...

    Started by masterfal‎, 15th Sep 2016 06:25 am
    • Replies: 3
    • Views: 239
    15th Sep 2016 01:03 pm Go to last post
  15. Convert whole drawing from Feets to Meters Lisp

    Dear programmers, I need one programmable Lisp for Feets to Meters Conversion Drawing. after conversion it should be showed with 2 digits only. example: after converting 1 foot line to...

    Started by pvsvprasad‎, 10th Sep 2016 12:26 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 841
    15th Sep 2016 12:21 pm Go to last post
  16. INTERSECT command for more than two regions?

    Hey guys! If I had 3 regions like the picture, I'd like to be able to get the 2 intersecting regions (without doing them separately). Right now, I'm just getting errors :( Side request--a LISP...

    Started by eyeofnewt555‎, 13th Sep 2016 08:38 pm
    • Replies: 1
    • Views: 218
    14th Sep 2016 04:35 pm Go to last post
  17. CONVERTPSTYLES using a script issue

    Hello, I have some drawings that requires CONVERTPSTYLES run to be able to use the plot style .ctb files. Otherwise it shows missing. So, I have created a script per below (btw my first...

    Started by shailujp‎, 26th Mar 2014 07:22 am
    • Replies: 6
    • Views: 2,063
    14th Sep 2016 08:00 am Go to last post
  18. publish pdf to same location as dwg

    everytime i publish a drawing i'm needing to specify where to save the pdf - by default it goes to whatever folder is specified in the publish option. what im wondering is if its possible to specify,...

    Started by masterfal‎, 13th Sep 2016 05:34 am
    • Replies: 3
    • Views: 302
    14th Sep 2016 04:05 am Go to last post
  19. AutoCAD getting tanhp autolisp to draw tangent to a arc of circle

    Hi there, could you help me please ? i need to draw tangent to the arc of circle, passing by the mid-point of the base of each slice of my dram, to determine the angle between the surface from the...

    Started by wonder‎, 13th Sep 2016 12:12 pm
    • Replies: 2
    • Views: 242
    14th Sep 2016 03:47 am Go to last post
  20. Smile Labeling Circle with ssget

    Hi, I have a lisp to label all the circle in once with the coordinate save in the text file. The lisp and the dwg is as below. My question is how to put circles in different groups with prefix....

    Started by robert61303‎, 13th Sep 2016 04:10 am
    • Replies: 5
    • Views: 285
    14th Sep 2016 03:08 am Go to last post
  21. Plot lisp and DCL

    Hi Guys, I have been struggling along trying to make some of my own commands to make my life a little easier and most of these have been pretty basic. One of these was to automate settings to Plot...

    Started by Earlzii‎, 6th Sep 2016 02:27 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 870
    13th Sep 2016 06:07 pm Go to last post
  22. Lisp to strip a prefix out of block names?

    My blocks have a prefix, "SYMBOL_" when coming from third party software. Would someone kindly give me a head start on how I could learn to remove that prefix on any instance of a block that has...

    Started by YZ‎, 6th Sep 2016 07:40 am
    • Replies: 7
    • Views: 365
    13th Sep 2016 08:57 am Go to last post
  23. Question ? create new UCS at an angle in AutoLISP ?

    Hello , I am learning AutoLISP ; and have 20 + custom coordinate systems ( UCS ) at an angle & would like to learn AutoLISP to automate these . Using UCS 3point that seems to ignore (& stop) at...

    Started by positive_X‎, 12th Sep 2016 01:13 am
    • Replies: 6
    • Views: 349
    13th Sep 2016 03:21 am Go to last post
  24. how trim many line inside multi circle on one step

    iam need lsp for trim or erase many lines inside many circle or block circle on one at one time

    Started by issammesk‎, 2nd Apr 2012 06:02 am
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 7,877
    12th Sep 2016 07:05 pm Go to last post
  25. Dimension baseline and continue in one?!

    Hello all, I wondered if it's possible to have a kind of command or lisp that gets the continue and baseline command in one single command? In the picture below you see the result I need in one...

    Started by DesmetMartin‎, 17th Aug 2016 12:16 pm
    • Replies: 8
    • Views: 695
    12th Sep 2016 01:31 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts